import request from "@/utils/request";

//新增-修改普测计划
export function getTerminalPage(data) {
  return request({
    url: "/process-boot/process/pmsTerminalDetection/getTerminalPage",
    method: "post",
    data,
  });
}
//导出终端入网检测录入模板
export function DownloadExport(data) {
  return request({
    url: "/process-boot/process/pmsTerminalDetection/export",
    method: "GET",
    data,
    responseType: "blob",
  });
}
//终端检测监督删除
export function delTerminal(data) {
  return request({
    url: "/process-boot/process/pmsTerminalDetection/delTerminal",
    method: "post",
    data,
  });
}

//终端检测监督单条新增
export function insertTerminal(data) {
  return request({
    url: "/process-boot/process/pmsTerminalDetection/insertTerminal",
    method: "post",
    data,
  });
}
//终端检测监督修改
export function updateTerminal(data) {
  return request({
    url: "/process-boot/process/pmsTerminalDetection/updateTerminal",
    method: "post",
    data,
  });
}
//检测报告下载
export function reportDownload(params) {
  return request({
    url: "/process-boot/process/pmsTerminalDetection/reportDownload",
    method: "get",
    params,
    responseType: "blob",
  });
}

//终端入网检测台账统计
export function getStatistics(data) {
  return request({
    url: "/process-boot/process/pmsTerminalDetection/getStatistics",
    method: "post",
    data,
  });
}
//终端入网检测台账统计
export function getCycleStatistics(data) {
  return request({
    url: "/process-boot/process/pmsTerminalDetection/getCycleStatistics",
    method: "post",
    data,
  });
}
//批量导入终端入网检测录入
export function batchTerminal(data) {
  return request({
    url: "/process-boot/process/pmsTerminalDetection/batchTerminal",
    method: "post",
    data,
    responseType: "blob",
  });
}
//批量导入检测报告
export function importReport(data) {
  return request({
    url: "/process-boot/process/pmsTerminalDetection/importReport",
    method: "post",
    data,
    responseType: "blob",
  });
}
